Skip to Content
Chameleon Docs
API referenceDocuments

Get document

A manual's labels, image settings or cards, as last saved.

GET
/api/manuals/{id}/documents/{name}

A manual's labels, image settings or cards, as last saved.

Authorization

headerx-api-key<token>

Scope: manuals:read

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
name*string
Value in"labels""image-settings""cards"

Response Body

The document, its version in the ETag

application/json
  1. response
format*4
Value in4
manualId*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
template?
labelTypes*array<>
pageTypes*array<>
pages*array<>
regions*array<>
groups*array<>
linkedElements*array<>
order?array<>
Example Request
curl -X GET 'https://www.chameleonlabs.org/api/manuals/string/documents/labels'
Example Response
{  "format": 4,  "manualId": "string",  "template": {    "templateId": "string",    "name": "string"  },  "labelTypes": [    {      "id": "string",      "name": "string",      "color": [        0,        0,        0      ]    }  ],  "pageTypes": [    {      "id": "string",      "name": "string"    }  ],  "pages": [    {      "page": 1,      "size": [        100000,        100000      ],      "type": "string"    }  ],  "regions": [    {      "id": "string",      "page": 1,      "polygon": [        [          -100000,          -100000        ],        [          -100000,          -100000        ],        [          -100000,          -100000        ]      ],      "labelType": "string",      "name": "string",      "count": 1,      "link": "string",      "area": true,      "text": true,      "content": "string"    }  ],  "groups": [    {      "id": "string",      "name": "string",      "count": 1,      "members": [        "string"      ]    }  ],  "linkedElements": [    {      "id": "string",      "name": "string",      "count": 1    }  ],  "order": [    "string"  ]}